> For the complete documentation index, see [llms.txt](https://docs.apica.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apica.io/platform-docs/zebratester-scripting/apica-data-repository-adr-aka-apica-table-server/rest-endpoint-examples.md).

# REST Endpoint Examples

**1. Retrieve column values from a table**

*GET url -* [*http://127.0.0.1:8992?cmd=ats\_retrieve\_row*](http://127.0.0.1:8992/?cmd=ats_retrieve_row) *- **Suits performance testing use cases***\
\&#xNAN;*body JSON- {*\
\&#xNAN;*"TableName”: "table\_name",*\
\&#xNAN;*"ColumnNames”: \["column\_name1","column\_name2"]*\
\&#xNAN;*}*

*This API call will give different column values for each request ,that means once a value is retrieved, it had been marked as retrieved and cannot be retrieved again*

**2. Set values of multiple columns in a table**

*POST url -* [*http://127.0.0.1:8992?cmd=ats\_send\_row*](http://127.0.0.1:8992/?cmd=ats_send_row)\
\&#xNAN;*body JSON - {*\
\&#xNAN;*"TableName”: "table\_name",*\
\&#xNAN;*"ColumnNames”: \["column\_name1","column\_name2"],*\
\&#xNAN;*"ColumnValues”: \["column\_value1","column\_value2"],*\
\&#xNAN;*"Type”: "ROW"*\
\&#xNAN;*}*

***Type have three values ROW, STACKED and UNIQUE***

**3. Retrieve a column value from a table -&#x20;*****Suits performance testing use cases , but can be used for other use cases with the help of RowIndex***

*GET url -* [*http://127.0.0.1:8992?cmd=ats\_retrieve\_column*](http://127.0.0.1:8992/?cmd=ats_retrieve_column)\
\&#xNAN;*body JSON- {*\
\&#xNAN;*"TableName”: "table\_name",*\
\&#xNAN;*"ColumnName”: "column\_name"*\
\&#xNAN;*}*

*By default this API call will give different column values for each request ,that means once a value is retrieved, it had been marked as retrieved and cannot be retrieved again. But in some cases if you want to retrieve always the same value , you need to pass the third parameter RowIndex*

**4. Set a column value in a table**

*POST url -* [*http://127.0.0.1:8992?cmd=ats\_send\_column*](http://127.0.0.1:8992/?cmd=ats_send_column)\
\&#xNAN;*body JSON- {*\
\&#xNAN;*"TableName”: "table\_name",*\
\&#xNAN;*"ColumnName”: "column\_name",*\
\&#xNAN;*"ColumnValue”: "column\_value",*\
\&#xNAN;*"Unique”: true*\
\&#xNAN;*}*

**5. Update a column value by row index in a table**

*POST url -* [*http://127.0.0.1:8992?cmd=ats\_update\_column*](http://127.0.0.1:8992/?cmd=ats_update_column)\
\&#xNAN;*body JSON - {*\
\&#xNAN;*"TableName”: "table\_name",*\
\&#xNAN;*"ColumnName”: "column\_name",*\
\&#xNAN;*"ColumnValue”: "column\_value”,*\
\&#xNAN;*“Unique”: false,*\
\&#xNAN;*" RowIndex “: 1*\
\&#xNAN;*}*

**6. Get the size of a table or column in a table**

*POST url -* [*http://127.0.0.1:8992?cmd=ats\_retrieve\_table\_size*](http://127.0.0.1:8992/?cmd=ats_retrieve_table_size)\
\&#xNAN;*body JSON - {*\
\&#xNAN;*"TableName”: "table\_name",*\
\&#xNAN;*"ColumnName”: "column\_name" **ColumnName is optional***\
\&#xNAN;*}*

**7. Retrieval of rows based on multiple column names and values. This API also supports an optional input OuputColumnNames, the column names in rows to be retrieved based on the matching column names and values**

*GET url -* [*http://127.0.0.1:8992?cmd=ats\_retrieve\_row\_by\_column*](http://127.0.0.1:8992/?cmd=ats_retrieve_row_by_column)\
\&#xNAN;*body JSON- {*\
\&#xNAN;*"TableName”: "table\_name",*\
\&#xNAN;*"MatchColumnNames": \["column\_name1",”column\_name2”],*\
\&#xNAN;*"MatchColumnValues" : \["column\_value1","column\_value2"]*\
\&#xNAN;*}*

**8. Save a table after you have called any of the above APIs**

*POST url -* [http://127.0.0.1:8992?cmd=ats\_save\_table](http://127.0.0.1:8992/?cmd=ats_save_table)\
\&#xNAN;*body JSON - {*\
\&#xNAN;*"TableName”: "table\_name"*\
\&#xNAN;*}*

**9. Retrieve all the records in a particular table**

*GET url -* [http://127.0.0.1:8992?cmd=ats\_retrieve\_all\_rows](http://127.0.0.1:8992/?cmd=ats_retrieve_all_rows)\
\&#xNAN;*body JSON - {*\
\&#xNAN;*"TableName”: "table\_name"*\
\&#xNAN;*}*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apica.io/platform-docs/zebratester-scripting/apica-data-repository-adr-aka-apica-table-server/rest-endpoint-examples.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
